python-gunicorn_19.7.1-4_all.deb


Advertisement

Description

python-gunicorn - Event-based HTTP/WSGI server (Python 2 libraries)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename python-gunicorn_19.7.1-4_all.deb
Package name python-gunicorn
Package version 19.7.1
Package release 4
Package architecture all
Package type deb
Category universe/httpd
Homepage http://gunicorn.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 79.07 KB
Installed size 422.00 KB
Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
or sleepy applications. That is to say; behind a buffering front-end server
such as nginx or lighttpd.
* Optional support for Eventlet, Tornado and Gevent to provide asynchronous
long-polling ("Comet") connections.
* Process management: Gunicorn reaps and restarts workers that die.
* Easy integration with Django and Paster compatible applications (Pylons,
TurboGears 2, etc.
* Load balancing via pre-fork and a shared socket
* Graceful worker process restarts
* Upgrading without losing connections
* Decode chunked transfers on-the-fly, allowing upload progress notifications
or stream-based protocols over HTTP
This is the Python 2 library.

Alternatives

Package Version Architecture Repository
python-gunicorn_19.7.1-4_all.deb 19.7.1 all Ubuntu Universe
python-gunicorn - - -

Requires

Name Value
python-pkg-resources -
python-setuptools -
python:any << 2.8
python:any >= 2.7.5-5~

Replaces

Name Value
gunicorn << 19.0-3

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-gunicorn_19.7.1-4_all.deb
Source Package gunicorn

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-gunicorn deb package:
    # sudo apt-get install python-gunicorn

Files

Path
/usr/lib/python2.7/dist-packages/gunicorn/__init__.py
/usr/lib/python2.7/dist-packages/gunicorn/_compat.py
/usr/lib/python2.7/dist-packages/gunicorn/arbiter.py
/usr/lib/python2.7/dist-packages/gunicorn/argparse_compat.py
/usr/lib/python2.7/dist-packages/gunicorn/config.py
/usr/lib/python2.7/dist-packages/gunicorn/debug.py
/usr/lib/python2.7/dist-packages/gunicorn/errors.py
/usr/lib/python2.7/dist-packages/gunicorn/glogging.py
/usr/lib/python2.7/dist-packages/gunicorn/pidfile.py
/usr/lib/python2.7/dist-packages/gunicorn/reloader.py
/usr/lib/python2.7/dist-packages/gunicorn/selectors.py
/usr/lib/python2.7/dist-packages/gunicorn/six.py
/usr/lib/python2.7/dist-packages/gunicorn/sock.py
/usr/lib/python2.7/dist-packages/gunicorn/systemd.py
/usr/lib/python2.7/dist-packages/gunicorn/util.py
/usr/lib/python2.7/dist-packages/gunicorn-19.7.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/gunicorn-19.7.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/gunicorn-19.7.1.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/gunicorn-19.7.1.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/gunicorn-19.7.1.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/gunicorn/app/__init__.py
/usr/lib/python2.7/dist-packages/gunicorn/app/base.py
/usr/lib/python2.7/dist-packages/gunicorn/app/pasterapp.py
/usr/lib/python2.7/dist-packages/gunicorn/app/wsgiapp.py
/usr/lib/python2.7/dist-packages/gunicorn/http/__init__.py
/usr/lib/python2.7/dist-packages/gunicorn/http/_sendfile.py
/usr/lib/python2.7/dist-packages/gunicorn/http/body.py
/usr/lib/python2.7/dist-packages/gunicorn/http/errors.py
/usr/lib/python2.7/dist-packages/gunicorn/http/message.py
/usr/lib/python2.7/dist-packages/gunicorn/http/parser.py
/usr/lib/python2.7/dist-packages/gunicorn/http/unreader.py
/usr/lib/python2.7/dist-packages/gunicorn/http/wsgi.py
/usr/lib/python2.7/dist-packages/gunicorn/instrument/__init__.py
/usr/lib/python2.7/dist-packages/gunicorn/instrument/statsd.py
/usr/lib/python2.7/dist-packages/gunicorn/workers/__init__.py
/usr/lib/python2.7/dist-packages/gunicorn/workers/async.py
/usr/lib/python2.7/dist-packages/gunicorn/workers/base.py
/usr/lib/python2.7/dist-packages/gunicorn/workers/gaiohttp.py
/usr/lib/python2.7/dist-packages/gunicorn/workers/geventlet.py
/usr/lib/python2.7/dist-packages/gunicorn/workers/ggevent.py
/usr/lib/python2.7/dist-packages/gunicorn/workers/gthread.py
/usr/lib/python2.7/dist-packages/gunicorn/workers/gtornado.py
/usr/lib/python2.7/dist-packages/gunicorn/workers/sync.py
/usr/lib/python2.7/dist-packages/gunicorn/workers/workertmp.py
/usr/share/doc/python-gunicorn/NEWS.Debian.gz
/usr/share/doc/python-gunicorn/changelog.Debian.gz
/usr/share/doc/python-gunicorn/copyright
/usr/share/lintian/overrides/python-gunicorn

Changelog

2018-02-07 - Chris Lamb <lamby@debian.org>
gunicorn (19.7.1-4) unstable; urgency=medium
* Bump compat level to 11.
* Update gbp.conf.
* Update Standards-Version.
* Bump Standards-Version to 4.1.2.
* Use HTTPS URI in debian/copyright.
* Remove trailing whitespace in debian/changelog.
* Override debian-watch-does-not-check-gpg-signature.
* Tidy debian/tests/control.
2017-08-12 - Chris Lamb <lamby@debian.org>
gunicorn (19.7.1-3) unstable; urgency=medium
* Move autopkgtests to a separate file.
2017-07-30 - Chris Lamb <lamby@debian.org>
gunicorn (19.7.1-2) unstable; urgency=medium
* Bump Standards-Version to 4.0.0.
* Bump debhelper compatibility level to 10.
* Drop useless ${python3:Depends} from gunicorn-examples package.
* Set Section: python for python{,3}-gunicorn binary packages.
* wrap-and-sort -sa.
* Override no-upstream-changelog Lintian warnings.
2017-03-26 - Chris Lamb <lamby@debian.org>
gunicorn (19.7.1-1) unstable; urgency=medium
* New upstream release.
2017-03-13 - Chris Lamb <lamby@debian.org>
gunicorn (19.7.0-1) unstable; urgency=medium
* New upstream release.
- Update 0001-drop-supplemental-groups.patch.
- The deprecated gunicorn_django command has been removed.
* Add debian/gbp.conf.
* Refresh all patches with pq import -> pq export.
2017-02-03 - Chris Lamb <lamby@debian.org>
gunicorn (19.6.0-11) unstable; urgency=medium
* Use ${misc:Pre-Depends} to populate Pre-Depends for
dpkg-maintscript-helper. Thanks to Sebastian Ramacher. (Closes: #853989)
2017-01-01 - Chris Lamb <lamby@debian.org>
gunicorn (19.6.0-10) unstable; urgency=medium
* Move debian/README.Debian → debian/NEWS.
2016-11-13 - Chris Lamb <lamby@debian.org>
gunicorn (19.6.0-9) unstable; urgency=medium
* Add simple autopkgtest smoke test.
2016-10-07 - Chris Lamb <lamby@debian.org>
gunicorn (19.6.0-8) unstable; urgency=medium
* Correct 0004-Set-supplementary-groups-when-changing-uid.patch to be
compatible with Python 3. (Closes: #839984)
2016-10-06 - Chris Lamb <lamby@debian.org>
gunicorn (19.6.0-7) unstable; urgency=medium
* Set supplementary groups when changing uid Thanks to Filippos Giannakos
<philipgian@grnet.gr>. (Closes: #762448)
* Add example systemd service to gunicorn-examples. (Closes: #839250)
* Add README.Debian to make it clearer what to do now that /etc/gunicorn.d
has been removed.

See Also

Package Description
python-gv_2.40.1-2_amd64.deb Python bindings for graphviz
python-gvgen_0.9-3_all.deb Python class to generate dot files
python-gwcs-doc_0.7-2_all.deb Tools for managing the WCS of astronomical data (documentation)
python-gwcs_0.7-2_all.deb Tools for managing the WCS of astronomical data (Python 2)
python-gwebsockets_0.4-3_all.deb websocket server written in Python
python-gyoto_1.2.0-4_amd64.deb General relativistic geodesic integration for the Python 2 language
python-h2_3.0.1-3_all.deb Pure-Python HTTP/2 State-Machine based protocol implementation in Python
python-h5py-doc_2.7.1-2_all.deb documentation for h5py
python-h5py_2.7.1-2_amd64.deb general-purpose Python interface to hdf5 (Python 2)
python-hachoir-core_1.3.3-4_all.deb Core of Hachoir framework: parse and edit binary files
python-hachoir-metadata_1.3.3-2_all.deb Program to extract metadata using Hachoir library
python-hachoir-parser_1.3.4-2_all.deb Package of Hachoir parsers used to open binary files
python-hachoir-regex_1.0.5-2_all.deb regular expressions manipulation Python library
python-hachoir-subfile_0.5.3-3_all.deb find subfiles in any binary stream
python-hachoir-urwid_1.1-3_all.deb Binary file explorer using Hachoir and urwid libraries
Advertisement
Advertisement